% Plot AGC
function handles = plotAGC(handles)
airspeed = str2double(get(handles.edit_airspeed, 'String'));
timeArray = cumsum(timeUtils.getArrayTime( ...
            handles.waypoints, airspeed));
time = 0:0.01:timeArray(end);
s = str2double(get(handles.edit_time, 'String'));
axes(handles.axes_agc);
plot(time, handles.agc)
yLim = get(gca,'ylim');
hold on
if handles.isAnalysed
   f = fill([handles.interf_start handles.interf_start ...
       handles.interf_end handles.interf_end],...
       [yLim(1) yLim(2) yLim(2) yLim(1)], 'r', 'LineStyle', 'none');
   set(f,'facealpha',.2)
end
plot(s*ones(2), [yLim(1) yLim(2)])
hold off